Security Enhanced Linux Reference Policy

# Layer: services

## Module: dhcp

Tunables Interfaces

### Description:

Dynamic host configuration protocol server.

### Tunables:

dhcpd_use_ldap

##### Default value

false

##### Description

Determine whether DHCP daemon can use LDAP backends.

Return

### Interfaces:

dhcpd_admin( domain , role )

##### Summary

All of the rules required to administrate an dhcpd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

dhcpd_domtrans( domain )

##### Summary

Execute a domain transition to run dhcpd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dhcpd_initrc_domtrans( domain )

##### Summary

Execute dhcp server in the dhcp domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dhcpd_setattr_state_files( domain )

##### Summary

Set attributes of dhcpd server state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return